#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	int a,n,b,c,i;
	cin>>a>>n;
	c=0;
	for(i=1;i<=n;i++){
		b=(pow(10,i)-1)*a/9;
		c=c+b;
		 
	}
	
	cout<<c;
	
	
	return 0;
	
}
